# Copyright (C) 2017 Aleksi Suomalainen <suomalainen.aleksi@gmail.com>
# Released under the MIT license (see COPYING.MIT for the terms)

DESCRIPTION = "Sexy terminal"
HOMEPAGE = "https://github.com/rburchell/literm"
LICENSE = "GPLv2"
SECTION = "Utilities"
DEPENDS += "qtdeclarative"
PV = "0.1+${SRCPV}"
S = "${WORKDIR}/git"
SRC_URI = "git://github.com/rburchell/literm.git;protocol=https"
SRCREV = "${AUTOREV}"
LIC_FILES_CHKSUM = "file://COPYING;beginline=1;endline=341;md5=b234ee4d69f5fce4486a80fdaf4a4263"
inherit qmake5
do_install_append() {
    install -d ${D}/usr/share/applications
    cp ${S}/literm.desktop.nemo ${D}/usr/share/applications/literm.desktop
    sed -i "s/literm/\/usr\/bin\/invoker --type=nemomobile -s \/usr\/bin\/literm -mobile -fullscreen/" ${D}/usr/share/applications/literm.desktop
}
